<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>VenueNavigationManager.VenueNavigationManagerListener (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VenueNavigationManager.VenueNavigationManagerListener (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VenueNavigationManager.VenueNavigationManagerListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.TrackingTilt.html" title="enum in com.here.android.mpa.venues3d"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueRoute.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html" target="_top">Frames</a></li>
<li><a href="VenueNavigationManager.VenueNavigationManagerListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.venues3d</div>
<h2 title="Interface VenueNavigationManager.VenueNavigationManagerListener" class="title">Interface VenueNavigationManager.VenueNavigationManagerListener</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.html" title="class in com.here.android.mpa.venues3d">VenueNavigationManager</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">VenueNavigationManager.VenueNavigationManagerListener</span></pre>
<div class="block">An interface for responding to navigation events sent by the <code>VenueNavigationManager</code>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onCurrentManeuverChanged-com.here.android.mpa.venues3d.VenueManeuver-com.here.android.mpa.venues3d.VenueManeuver-">onCurrentManeuverChanged</a></span>(<a href="../../../../../com/here/android/mpa/venues3d/VenueManeuver.html" title="class in com.here.android.mpa.venues3d">VenueManeuver</a> maneuver,
                        <a href="../../../../../com/here/android/mpa/venues3d/VenueManeuver.html" title="class in com.here.android.mpa.venues3d">VenueManeuver</a> nextManeuver)</code>
<div class="block">Called when the current (upcoming) maneuver is updated.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onDestinationReached--">onDestinationReached</a></span>()</code>
<div class="block">Called when the destination of turn-by-turn navigation is reached.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onPositionLost--">onPositionLost</a></span>()</code>
<div class="block">Called when the navigation manager loses its indoor position.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onPositionRestored--">onPositionRestored</a></span>()</code>
<div class="block">Called when the navigation manager finds its indoor position.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onRerouteBegin--">onRerouteBegin</a></span>()</code>
<div class="block">Called when rerouting is triggered due to the user leaving the current route section.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onRerouteEnd--">onRerouteEnd</a></span>()</code>
<div class="block">Called when rerouting, due to the user leaving the current route section, has finished.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onRouteSectionUpdated-com.here.android.mpa.venues3d.VenueRoute-com.here.android.mpa.venues3d.CombinedRoute-">onRouteSectionUpdated</a></span>(<a href="../../../../../com/here/android/mpa/venues3d/VenueRoute.html" title="class in com.here.android.mpa.venues3d">VenueRoute</a> routeSection,
                     <a href="../../../../../com/here/android/mpa/venues3d/CombinedRoute.html" title="class in com.here.android.mpa.venues3d">CombinedRoute</a> combinedRoute)</code>
<div class="block">Called when a change is made to the route section being navigated.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onDestinationReached--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onDestinationReached</h4>
<pre>void onDestinationReached()</pre>
<div class="block">Called when the destination of turn-by-turn navigation is reached.</div>
</li>
</ul>
<a name="onCurrentManeuverChanged-com.here.android.mpa.venues3d.VenueManeuver-com.here.android.mpa.venues3d.VenueManeuver-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCurrentManeuverChanged</h4>
<pre>void onCurrentManeuverChanged(<a href="../../../../../com/here/android/mpa/venues3d/VenueManeuver.html" title="class in com.here.android.mpa.venues3d">VenueManeuver</a> maneuver,
                              <a href="../../../../../com/here/android/mpa/venues3d/VenueManeuver.html" title="class in com.here.android.mpa.venues3d">VenueManeuver</a> nextManeuver)</pre>
<div class="block">Called when the current (upcoming) maneuver is updated.

 The "current" maneuver is the upcoming, or next, maneuver to be taken. The "next"
 maneuver is actually the maneuver to be taken after the current maneuver.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>maneuver</code> - The current (upcoming) maneuver to be made.</dd>
<dd><code>nextManeuver</code> - The maneuver to be made AFTER THE CURRENT MANEUVER.</dd>
</dl>
</li>
</ul>
<a name="onPositionLost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPositionLost</h4>
<pre>void onPositionLost()</pre>
<div class="block">Called when the navigation manager loses its indoor position.</div>
</li>
</ul>
<a name="onPositionRestored--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPositionRestored</h4>
<pre>void onPositionRestored()</pre>
<div class="block">Called when the navigation manager finds its indoor position.</div>
</li>
</ul>
<a name="onRouteSectionUpdated-com.here.android.mpa.venues3d.VenueRoute-com.here.android.mpa.venues3d.CombinedRoute-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onRouteSectionUpdated</h4>
<pre>void onRouteSectionUpdated(<a href="../../../../../com/here/android/mpa/venues3d/VenueRoute.html" title="class in com.here.android.mpa.venues3d">VenueRoute</a> routeSection,
                           <a href="../../../../../com/here/android/mpa/venues3d/CombinedRoute.html" title="class in com.here.android.mpa.venues3d">CombinedRoute</a> combinedRoute)</pre>
<div class="block">Called when a change is made to the route section being navigated.

 This can occur after successful rerouting due to the user leaving the current route (see
 <a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onRerouteBegin--"><code>VenueNavigationManager.VenueNavigationManagerListener.onRerouteBegin()</code></a>).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>routeSection</code> - VenueRoute representing the route section that was set.</dd>
<dd><code>combinedRoute</code> - CombinedRoute representing the current route.</dd>
</dl>
</li>
</ul>
<a name="onRerouteBegin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onRerouteBegin</h4>
<pre>void onRerouteBegin()</pre>
<div class="block">Called when rerouting is triggered due to the user leaving the current route section.

 If a new route section is successfully calculated, it is immediately applied to
 the current navigation session and
 <a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onRouteSectionUpdated-com.here.android.mpa.venues3d.VenueRoute-com.here.android.mpa.venues3d.CombinedRoute-"><code>VenueNavigationManager.VenueNavigationManagerListener.onRouteSectionUpdated(VenueRoute, CombinedRoute)</code></a>
 is called. After rerouting, the <a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html#onRerouteEnd--"><code>VenueNavigationManager.VenueNavigationManagerListener.onRerouteEnd()</code></a>
 is called.</div>
</li>
</ul>
<a name="onRerouteEnd--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onRerouteEnd</h4>
<pre>void onRerouteEnd()</pre>
<div class="block">Called when rerouting, due to the user leaving the current route section, has finished.

 This method just means an attempt to reroute finished and does not guarantee that
 a new route was successfully created.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VenueNavigationManager.VenueNavigationManagerListener.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueNavigationManager.TrackingTilt.html" title="enum in com.here.android.mpa.venues3d"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/venues3d/VenueRoute.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/venues3d/VenueNavigationManager.VenueNavigationManagerListener.html" target="_top">Frames</a></li>
<li><a href="VenueNavigationManager.VenueNavigationManagerListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
